Skip to main content
POST
/
workspace
/
{workspace_id}
/
tool_history
/
search
Search tool request history
curl --request POST \
  --url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/tool_history/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "page": 1,
  "per_page": 50,
  "sort": {
    "created_at": "desc"
  },
  "search": []
}
'
{
  "curPage": 123,
  "nextPage": 123,
  "prevPage": 123,
  "items": [
    {
      "id": 1,
      "created_at": "2023-04-12 18:34:01+0000",
      "duration": 0.025,
      "input": {
        "page": 1
      },
      "workspace_id": 123,
      "branch": "v1",
      "tool_id": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
integer<int64>
required

Body

page
integer<int64>
default:1
per_page
integer<int64>
default:50
branch
string
tool_id
integer<int64>
sort
object
include_output
boolean

Response

Success!

curPage
integer<int64>
nextPage
integer<int64> | null
prevPage
integer<int64> | null
items
object[]